import { pushTagToGTM } from '../util/gtm/cos-gtm';
import { userClickRegistration } from '../util/gtm/tags-collection';

const userClickedHeaderRegistrationButton = () => {
  $('.c-navbar_cta a.c-primary-button.js-buyer').click(function () {
    pushTagToGTM({ ...userClickRegistration, label: 'Header' });
  });
};
const userClickedAuctionRegistrationButton = () => {
  $('#auction > div.c-container.cc-cta > div > a:nth-child(2)').click(function () {
    pushTagToGTM({ ...userClickRegistration, label: 'Auction' });
  });
};
const userClickedFAQRegistrationButton = () => {
  $('#cta > div > a.c-primary-button.js-cta.w-button').click(function () {
    pushTagToGTM({ ...userClickRegistration, label: 'FAQ' });
  });
};

/**
 * registration buttons custom events:w
 * @returns {function(): {init: function(): void}}
 */
export const registrationButtons = (() => ({
  init: function () {
    userClickedHeaderRegistrationButton();
    userClickedAuctionRegistrationButton();
    userClickedFAQRegistrationButton();
  }
}))();
