import { pushTagToGTM } from '../util/gtm/cos-gtm';
import { userClickBookADemo } from '../util/gtm/tags-collection';

function validEmail(email) {
  const regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
  return regex.test(email);
}

const userClickedBecomeASellerBookADemo = () => {
  $('input.submit.seller.cc-yellow.w-button').click(function () {
    const emailAddress = $('input.demo-input.cc-noborder.w-input').first().val();
    const acceptedGDPR = $('#checkbox-3').is(':checked');

    if (validEmail(emailAddress) && acceptedGDPR) {
      pushTagToGTM({ ...userClickBookADemo });
    }
  });
};

/**
 * become a seller page custom events:w
 * @returns {function(): {init: function(): void}}
 */
export const becomeASeller = (() => ({
  init: function () {
    userClickedBecomeASellerBookADemo();
  }
}))();
